Export audit logs as CSV according filter conditions
GET
/admin/audit-logs/export
const url = 'https://gitea.example.com/api/v1/admin/audit-logs/export';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/admin/audit-logs/export \ --header 'Authorization: Basic <credentials>'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
Search keyword for operator name
operator_id
integer format: int64
ID of the operator to search for
operation_type
string
Operation type to filter by
start_unix
integer format: int64
Start time in unix timestamp
end_unix
integer format: int64
End time in unix timestamp
Responses
Section titled “Responses”APIString is a string response
Media typetext/csv
string
APIForbiddenError is a forbidden error response
Media typetext/csv
Headers
Section titled “Headers”message
string
url
string